Name:          libtracefs
Version:       1.8.1
Release:       1mamba
Summary:       Linux kernel trace file system library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://web.git.kernel.org/pub/scm/libs/libtrace/libtracefs.git/about/
Source:        https://git.kernel.org/pub/scm/libs/libtrace/libtracefs.git/libtracefs-%{version}/libtracefs-%{version}.tar.bz2
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libtraceevent-devel
## AUTOBUILDREQ-END
BuildRequires: meson

%description
Linux kernel trace file system library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.


%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libtracefs.so.*
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libtracefs
%{_includedir}/libtracefs/tracefs.h
%{_libdir}/libtracefs.a
%{_libdir}/libtracefs.so
%{_libdir}/pkgconfig/libtracefs.pc
%doc README

%files tools
%defattr(-,root,root)
%{_bindir}/sqlhist

%changelog
* Fri Feb 28 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- update to 1.8.1

* Tue Dec 12 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-1mamba
- package created using the webbuild interface
